Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jbi
Class ServiceBridge

    java.lang.Object
      org.apache.ode.jbi.ServiceBridge

Direct Known Subclasses:
  OdeService

    public class ServiceBridge

extends java.lang.Object

Base-class for classes providing JBI-ODE translation services.

Constructor Summary
`ServiceBridge()`

Method Summary
`protected void` | `copyMexProperties(javax.jbi.messaging.MessageExchange jbiMex, MyRoleMessageExchange odeMex)` Transfer message properties from the ODE message exchange to the JBI message exchange object.
`protected void` | `copyMexProperties(MyRoleMessageExchange odeMex, javax.jbi.messaging.MessageExchange jbiMex)` Transfer message properties from the JBI message exchange to the ODE message exchange object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceBridge

    public ServiceBridge()

Method Detail

### copyMexProperties

    protected void copyMexProperties(javax.jbi.messaging.MessageExchange jbiMex,
                                     MyRoleMessageExchange odeMex)

  Transfer message properties from the ODE message exchange to the JBI message exchange object.

  Parameters:
    `jbiMex` - destination JBI message-exchange
    `odeMex` - source ODE message-exchange

### copyMexProperties

    protected void copyMexProperties(MyRoleMessageExchange odeMex,
                                     javax.jbi.messaging.MessageExchange jbiMex)

  Transfer message properties from the JBI message exchange to the ODE message exchange object.

  Parameters:
    `odeMex` - destination ODE message-exchange
    `jbiMex` - source JBI message-exchange

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD